Subject: bug#12852: 24.2; `exit-function' not supported in completion table's metadata alist

From: Leo <[email-masked]>
Date: Sun, 11 Nov 2012 23:56:44 +0800

On 2012-11-11 23:41 +0800, Stefan Monnier wrote:
> Hmm.. I don't really understand what this is trying to do.
> Can you explain to me what should be the end result?

I am writing a programmed completion table for python modules which
should work like file name completion but separated by . instead of /.

After each completion it should tell me whether the completion is a
package to help me decide whether to type . and get further completions.

So for example, twisted.inte should complete to twisted.internet with
minibuffer message [package] to mean that twisted.internet is a package.

>> Looks like with some change to completion--done we can have this.
>> What do you think?
>
> I have the impression that you're subverting exit-function.
> I"m not sure yet if it's a neat hack, or if there's a better way to do it,

Probably.

Leo